<?php
/*******************************************************************************
*	This file is part of Woogle4MediaWiki
*   (http://www.mediawiki.org/wiki/Extension:Woogle4MediaWiki)
*
*	Copyright (c) 2007 - 2010 Hans-Jörg Happel and
*	FZI Forschungszentrum Informatik an der Universität Karlsruhe (TH)
*
*   Woogle4MediaWiki is free software: you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   Woogle4MediaWiki is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Woogle4MediaWiki. If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/ 

// This is not a valid entry point, perform no further processing unless MEDIAWIKI is defined
if( !defined( 'MEDIAWIKI' ) ) {
	echo "This file is part of Woogle4MediaWiki and is not a valid entry point\n";
	die( 1 );
}

$html = '';

if(isset($errors['general'])) {
	$html .= $errors['general'];
};

$html .= '
	<form action="'.htmlspecialchars($returntitle->getFullURL()).'/send" method="POST">
		<table>			
			<colgroup>
				<col width="250" />
				<col width="250" />
				<col width="350" />				
			</colgroup>
			<tr>
				<td><label for="name">'.WoogleUtil::getMsg("SpecialPageFeedbackName").'</label></td>
				<td><input style="width: 240px;" type="text" name="name" id="name" value="'.$this->_name.'"/></td>
				<td>';

if(isset($errors['name'])) {
	$html .= $errors['name'];
};

$html .=		'</td>
			</tr>
			<tr>
				<td><label for="email">'.WoogleUtil::getMsg("SpecialPageFeedbackEmail").'</label></td>
				<td><input style="width: 240px;" type="text" name="email" id="email" value="'.$this->_email.'"/></td>
				<td>';

if(isset($errors['email'])) {
	$html .= $errors['email'];
};

$html .=		'</td>
			</tr>
			<tr>
				<td><label for="name">'.WoogleUtil::getMsg("SpecialPageFeedbackSubject").'</label></td>
				<td><input style="width: 240px;" type="text" name="subject" id="name" value="'.$this->_subject.'" /></td>
				<td>';

if(isset($errors['subject'])) {
	$html .= $errors['subject'];
};

$html .=		'</td>
			</tr>
			<tr>					
				<td colspan=2>
					<textarea name="text" style="width: 494px;" rows="10">'.$this->_text.'</textarea>
				</td>	
				<td>';
if(isset($errors['text'])) {
	$html .= $errors['text'];
};
$html .=		'</td>				
			</tr>
		</table>
		<input type="submit" value="'.WoogleUtil::getMsg('SpecialPageFeedbackSendButton').'" />';

$html .=  Xml::hidden( 'token', $wgUser->editToken() );

$html .= '
	</form>';